## saga 9.3.1+dfsg

=== saga-gis/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

# Policy CMP0043 introduced in cmake version 3.0 IGNORES the use of COMPILE_DEFINITIONS
# suffixed variables, e.g. COMPILE_DEFINITIONS_DEBUG
# since cmake version >= 2.8.10 COMPILE_DEFINITIONS can be set by generator expressions.
if (POLICY CMP0043)
	cmake_policy(SET CMP0043 NEW)
endif (POLICY CMP0043)

# define project name and its description
project(saga)
message(STATUS "folder: ${PROJECT_NAME}")
set(TOP_PROJECT ${PROJECT_NAME})
string(TOLOWER ${TOP_PROJECT} TOP_PROJECT_LOWER)
set(PROJECT_DESCRIPTION "SAGA - System for Automated Geoscientific Analyses")

# Set a default build type for single-configuration cmake generators if
# no build type is set.
if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
	message(STATUS "Set default build type to Release")
	set(CMAKE_BUILD_TYPE Release)
endif()


# Platform independant compiler requirements 
set(CMAKE_CXX_STANDARD		 		14		CACHE STRING "C++ standard to be used")
set(CMAKE_CXX_STANDARD_REQUIRED		ON 		CACHE STRING "The C++ standard is required")

# Platform dependant compiler requirements
if(MSVC)
	set(CMAKE_CONFIGURATION_TYPES "Debug;Release" CACHE STRING "" FORCE)

	option(DEPS_FROM_ENVARS "Library locations from environment" ON)

	option(PARALLEL_BUILD "Multi-processor compilation (/MP)" ON)
	if(PARALLEL_BUILD)
		add_definitions(/MP)
	endif()

	add_definitions(/utf-8)

	# default debug configuration to use: 'Program Database for Edit And Continue (/ZI)'
	set(CMAKE_C_FLAGS_DEBUG             "/MDd /ZI /Ob0 /Od /RTC1"       CACHE STRING "" FORCE)
	set(CMAKE_CXX_FLAGS_DEBUG           "/MDd /ZI /Ob0 /Od /RTC1"       CACHE STRING "" FORCE)
	set(CMAKE_EXE_LINKER_FLAGS_DEBUG    "/debug /INCREMENTAL /LTCG:OFF" CACHE STRING "" FORCE)
	set(CMAKE_MODULE_LINKER_FLAGS_DEBUG "/debug /INCREMENTAL /LTCG:OFF" CACHE STRING "" FORCE)
	set(CMAKE_SHARED_LINKER_FLAGS_DEBUG "/debug /INCREMENTAL /LTCG:OFF" CACHE STRING "" FORCE)
else()
	# Unix Flags
	set(CMAKE_CXX_FLAGS_RELEASE 		"-O3 -Wall -DNDEBUG"			CACHE STRING "")
	set(CMAKE_CXX_FLAGS_DEBUG 			"-Og -ggdb -Wall"				CACHE STRING "")
endif()

# options
option(WITH_GUI "Build SAGA with GUI" ON)
option(WITH_TOOLS "Build SAGA with tools" ON)
option(OpenMP_SUPPORT "Compile with OpenMP optimizations" ON)
#option(WITH_LINK_TESTER "Check to enable testing if tools are successfully linking" OFF)

# include version and debianize
include(version.cmake)

# include shared definitions and scripts
include(cmake/shared/enable_warnings.cmake)
include(cmake/shared/windows_version_info.cmake)

# Use GNU install dirs to support multiarch
include(cmake/modules/GNUInstallDirs.cmake)

# clang uses this compile commands for the language server protocol
set(CMAKE_EXPORT_COMPILE_COMMANDS ON) 

# create windows resouce file
set(windows_version_rc "${CMAKE_BINARY_DIR}/win_version_info.rc")
gen_win_version_resource("${PROJECT_NAME}" "${windows_version_rc}"
	${SAGA_VERSION_MAJOR} ${SAGA_VERSION_MINOR} ${SAGA_VERSION_PATCH} ${GIT_COUNT}
	${SAGA_VERSION_FULL_STRING})

# include the generated header files
include_directories("${PROJECT_BINARY_DIR}")


# add local models to search path
list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

# find wxWidgets
#find_package(wxWidgets REQUIRED)
#include("${wxWidgets_USE_FILE}")

# compile with OpenMP optimizations
if(OpenMP_SUPPORT)
	find_package(OpenMP QUIET REQUIRED)
	if(OPENMP_FOUND)
		message(STATUS "compile with OpenMP optimizations")
		set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   ${OpenMP_C_FLAGS}")
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
		if(APPLE)
			set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   ${OpenMP_C_FLAGS}   -I${OpenMP_C_INCLUDE_DIR}")
			set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS} -I${OpenMP_CXX_INCLUDE_DIR}")
			cmake_path(GET OpenMP_libomp_LIBRARY PARENT_PATH OpenMP_LIBRARY_DIR)
			set(CMAKE_EXE_LINKER_FLAGS    "${CMAKE_EXE_LINKER_FLAGS}    -L${OpenMP_LIBRARY_DIR} -lomp")
			set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -L${OpenMP_LIBRARY_DIR} -lomp")
		endif(APPLE)
	else()
		message(STATUS "OpenMP not found!")
	endif(OPENMP_FOUND)
endif(OpenMP_SUPPORT)

# add files to dummy target to show in IDE
file(GLOB CMAKE_FILES "cmake/*.cmake" "cmake/modules/*.cmake")
file(GLOB SHARED_CMAKE_FILES "cmake/shared/*.cmake")
add_custom_target(saga-other-files SOURCES
	.gitignore
	src/gpl.txt
	src/lgpl.txt
	src/install.txt
	cmake/Config.cmake
	cmake/config.h.cmake
	${CMAKE_FILES}
	${SHARED_CMAKE_FILES}
)

# configure config.h
include(cmake/Config.cmake)
Config()

# add subdirectories
add_subdirectory(src)

# in case some automated tests will be written
#option(BUILD_TESTING "Build tests for saga-gis" ON)
#if(BUILD_TESTING)
#	 enable tests
#	enable_testing(true)
#	add_subdirectory(tests)
#endif()

=== saga-gis/src/accessories/CMakeLists.txt ===
project(accessories)
message(STATUS "folder: ${PROJECT_NAME}")

#add_subdirectory(toolchains)
install(DIRECTORY toolchains DESTINATION share/saga FILES_MATCHING PATTERN "*.xml")

=== saga-gis/src/tools/CMakeLists.txt ===
message(STATUS "folder: tools")

# Tool dependencies (Ubuntu, sudo apt install...)
#   libgdal-dev
#   libproj-dev
#   unixodbc-dev
#   libpq-dev
#   libhpdf-dev
#   libopencv-dev
#   libvigraimpex-dev libfftw3-dev
#   liblas-dev
#   libpdal-dev
#
# System alternatives to build-in code
#   libcurl-dev
#   libsvm-dev
#   libqhull-dev
#   libdxflib-dev

if(MSVC)
	set(CMAKE_RUNTIME_OUTPUT_DIRECTORY_DEBUG          ${CMAKE_BINARY_DIR}/saga_${CMAKE_GENERATOR_PLATFORM}_d/tools)
#	set(CMAKE_RUNTIME_OUTPUT_DIRECTORY_RELWITHDEBINFO ${CMAKE_BINARY_DIR}/saga_${CMAKE_GENERATOR_PLATFORM}_rd/tools)
#	set(CMAKE_RUNTIME_OUTPUT_DIRECTORY_MINSIZEREL     ${CMAKE_BINARY_DIR}/saga_${CMAKE_GENERATOR_PLATFORM}_minsize/tools)
	set(CMAKE_RUNTIME_OUTPUT_DIRECTORY_RELEASE        ${CMAKE_BINARY_DIR}/saga_${CMAKE_GENERATOR_PLATFORM}/tools)
endif()

# Add all tool subdirectories with CMakeLists.txt files
file(GLOB subdirectories *)

foreach(dir ${subdirectories})
	if(IS_DIRECTORY "${dir}" AND EXISTS "${dir}/CMakeLists.txt")
		add_subdirectory("${dir}")
	endif()
endforeach()

=== saga-gis/src/saga_core/saga_gdi/CMakeLists.txt ===
project(saga_gdi)
message(STATUS "project: ${PROJECT_NAME}")

# define sources
set(SAGA_GDI_SOURCES
	3d_view_canvas.cpp
	3d_view_dialog.cpp
	3d_view_panel.cpp
	3d_view_projector.cpp
	sgdi_controls.cpp
	sgdi_diagram.cpp
	sgdi_dialog.cpp
	sgdi_helper.cpp
	sgdi_layout_items.cpp
	saga_gdi.cpp
	3d_view.h
	3d_view_tools.h
	saga_gdi.h
	sgdi_controls.h
	sgdi_core.h
	sgdi_diagram.h
	sgdi_dialog.h
	sgdi_helper.h
	sgdi_layout_items.h
)
set(SAGA_GDI_PUBLIC_HEADERS
	3d_view.h
	3d_view_tools.h
	saga_gdi.h
	sgdi_controls.h
	sgdi_core.h
	sgdi_diagram.h
	sgdi_dialog.h
	sgdi_helper.h
	sgdi_layout_items.h
)

add_library(saga_gdi SHARED
	${SAGA_GDI_SOURCES}
	${SAGA_GDI_PUBLIC_HEADERS} # just cosmetic, show headers in IDE
)

# link saga_api
target_link_libraries(saga_gdi saga_api)

# include directories of wxWidgets are already present
find_package(wxWidgets REQUIRED QUIET)
target_link_libraries(saga_gdi ${wxWidgets_LIBRARIES})

if(MSVC) # windows msvc
	target_compile_definitions(saga_gdi PUBLIC -D_SAGA_MSW -DUNICODE)

else() # unix like systems
	set_target_properties(saga_cmd PROPERTIES COMPILE_FLAGS -fPIC)
	target_compile_definitions(saga_gdi PUBLIC -D_SAGA_LINUX)
endif()

# define for compiling libraries
target_compile_definitions(${PROJECT_NAME} PRIVATE -D_SAGA_GDI_EXPORTS)

# set version number for library
set_target_properties(saga_gdi PROPERTIES
	VERSION ${SAGA_VERSION_STRING}
	SOVERSION ${SAGA_VERSION_MAJOR})

# where to install the binary
install(TARGETS saga_gdi DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES ${SAGA_GDI_PUBLIC_HEADERS} DESTINATION include/saga/saga_gdi)

if(MSVC)
	string(REPLACE "/" "\\" SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/")
	add_custom_command(TARGET saga_gdi POST_BUILD
		COMMAND IF NOT EXIST "$(OutDir)include" MKDIR "$(OutDir)include"
		COMMAND IF EXIST "$(OutDir)include\\saga_gdi" RMDIR /S/Q "$(OutDir)include\\saga_gdi"
		COMMAND MKDIR    "$(OutDir)include\\saga_gdi"
		COMMAND COPY "${SOURCE_DIR}3d_view.h"           "$(OutDir)include\\saga_gdi"
		COMMAND COPY "${SOURCE_DIR}3d_view_tools.h"     "$(OutDir)include\\saga_gdi"
		COMMAND COPY "${SOURCE_DIR}saga_gdi.h"          "$(OutDir)include\\saga_gdi"
		COMMAND COPY "${SOURCE_DIR}sgdi_controls.h"     "$(OutDir)include\\saga_gdi"
		COMMAND COPY "${SOURCE_DIR}sgdi_core.h"         "$(OutDir)include\\saga_gdi"
		COMMAND COPY "${SOURCE_DIR}sgdi_diagram.h"      "$(OutDir)include\\saga_gdi"
		COMMAND COPY "${SOURCE_DIR}sgdi_dialog.h"       "$(OutDir)include\\saga_gdi"
		COMMAND COPY "${SOURCE_DIR}sgdi_helper.h"       "$(OutDir)include\\saga_gdi"
		COMMAND COPY "${SOURCE_DIR}sgdi_layout_items.h" "$(OutDir)include\\saga_gdi"
	)
endif()

=== saga-gis/src/saga_core/saga_api/saga_api_python/CMakeLists.txt ===
# define headers
set(SAGA_API_PUBLIC_HEADERS
	api_core.h
	data_manager.h
	dataobject.h
	datetime.h
	geo_tools.h
	grid.h
	grids.h
	grid_pyramid.h
	mat_tools.h
	metadata.h
	parameters.h
	pointcloud.h
	saga_api.h
	shapes.h
	table_dbase.h
	table.h
	table_value.h
	tin.h
	tool.h
	tool_library.h
)

find_package(SWIG QUIET)
if(SWIG_FOUND)
	message(STATUS "SWIG for Python found")
	find_package(Python COMPONENTS Interpreter Development)
	if(Python_FOUND)
#		project(saga_api_python)

		message(STATUS "project: ${PROJECT_NAME}")

		message(STATUS "Python found")

		if(POLICY CMP0078)	# SWIG: use standard target name.
			cmake_policy(SET CMP0078 NEW)
		endif()

		if(POLICY CMP0086)	# SWIG: use SWIG_MODULE_NAME property.
			cmake_policy(SET CMP0086 NEW)
		endif()

		include(UseSWIG)

		include_directories("${Python_INCLUDE_DIRS}")
		include_directories("${Python_INCLUDE_DIRS}/../PC")	# msvc builds
		include_directories("..")

		set(CMAKE_SWIG_FLAGS "-D_SAGA_PYTHON -D_SWIG_WCHAR")

		set_property(SOURCE ../saga_api.i PROPERTY CPLUSPLUS ON)
		set_property(SOURCE ../saga_api.i PROPERTY COMPILE_OPTIONS "-includeall")

		swig_add_library(saga_api_python LANGUAGE Python SOURCES ../saga_api.i)

		swig_link_libraries(saga_api_python saga_api)
		swig_link_libraries(saga_api_python ${Python_LIBRARIES})

		if(MSVC)
			set_property(TARGET saga_api_python PROPERTY OUTPUT_NAME saga_api_python)

			string(REPLACE "/" "\\" PySAGA_TARGET "\"${CMAKE_BINARY_DIR}/saga_x64/PySAGA\"")
			string(REPLACE "/" "\\" PySAGA_SOURCE "\"${CMAKE_SOURCE_DIR}/src/accessories/python\"")
			string(REPLACE "/" "\\" PySAGA_Py_API "\"${CMAKE_BINARY_DIR}/src/saga_core/saga_api/saga_api_python/saga_api.py\"")
			string(REPLACE "/" "\\" PySAGA_Py_BIN "\"${CMAKE_BINARY_DIR}/src/saga_core/saga_api/saga_api_python/Release/*.pyd\"")
			message(STATUS "SAGA-Python-API installs to: ${PySAGA_TARGET}")
			add_custom_command(TARGET saga_api_python POST_BUILD
				COMMAND IF EXIST "${PySAGA_TARGET}" RMDIR /S/Q "${PySAGA_TARGET}"
				COMMAND MKDIR "${PySAGA_TARGET}"
				COMMAND XCOPY /C/S/Q/Y/H "${PySAGA_SOURCE}" "${PySAGA_TARGET}"
				COMMAND COPY "${PySAGA_Py_API}" "${PySAGA_TARGET}"
				COMMAND COPY "${PySAGA_Py_BIN}" "${PySAGA_TARGET}"
			)
		else()
			set_property(TARGET saga_api_python PROPERTY OUTPUT_NAME saga_api)
			set(PYTHON_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR}/python${Python_VERSION_MAJOR}.${Python_VERSION_MINOR}/site-packages)
			option(WITH_PYTHON_PKG "PySAGA package installation (if not checked API modules become installed directly in Python's site/dist-packages folder)" ON)

			if(WITH_PYTHON_PKG)
				message(STATUS "SAGA-Python-API (PySAGA package) installs to: ${PYTHON_INSTALL_DIR}")
				install(TARGETS saga_api_python                                                      DESTINATION ${PYTHON_INSTALL_DIR}/PySAGA)
				install(FILES ${CMAKE_BINARY_DIR}/src/saga_core/saga_api/saga_api_python/saga_api.py DESTINATION ${PYTHON_INSTALL_DIR}/PySAGA)
				install(FILES ${CMAKE_SOURCE_DIR}/src/accessories/python/__init__.py                 DESTINATION ${PYTHON_INSTALL_DIR}/PySAGA)
				install(FILES ${CMAKE_SOURCE_DIR}/src/accessories/python/convert.py                  DESTINATION ${PYTHON_INSTALL_DIR}/PySAGA)
				install(FILES ${CMAKE_SOURCE_DIR}/src/accessories/python/helper.py                   DESTINATION ${PYTHON_INSTALL_DIR}/PySAGA)
				install(FILES ${CMAKE_SOURCE_DIR}/src/accessories/python/plot.py                     DESTINATION ${PYTHON_INSTALL_DIR}/PySAGA)
				install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/accessories/python/data                    DESTINATION ${PYTHON_INSTALL_DIR}/PySAGA FILES_MATCHING PATTERN "*.py")
				if(EXISTS ${CMAKE_SOURCE_DIR}/src/accessories/python/tools)
					install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/accessories/python/tools               DESTINATION ${PYTHON_INSTALL_DIR}/PySAGA FILES_MATCHING PATTERN "*.py")
 				endif()
			else()
				message(STATUS "SAGA-Python-API installs to: ${PYTHON_INSTALL_DIR}")
				install(TARGETS saga_api_python                                                      DESTINATION ${PYTHON_INSTALL_DIR})
				install(FILES ${CMAKE_BINARY_DIR}/src/saga_core/saga_api/saga_api_python/saga_api.py DESTINATION ${PYTHON_INSTALL_DIR})
			endif()
		endif()
	endif()
endif()

=== saga-gis/src/saga_core/saga_gui/res/CMakeLists.txt ===
message(STATUS "subfolder: ${PROJECT_NAME}/res")

# desktop file
install(FILES saga.desktop DESTINATION share/applications)

# pixmaps file
install(FILES saga.png DESTINATION share/pixmaps)

# sized icons
set(ICON_SIZES 8 16 22 24 32 48 64 72 80 96 128 192 256)

foreach(size ${ICON_SIZES})
	#message(STATUS "icon size: ${size}")
	set(_icon_source "saga_icon_${size}.png")
	set(_icon_target "share/icons/hicolor/${size}x${size}/apps/")
	install(FILES ${_icon_source}
		DESTINATION ${_icon_target}
		RENAME saga.png
	)
endforeach()

set(size 256)
set(_icon_target "share/icons/hicolor/${size}x${size}/apps/")
install(FILES saga.png
	DESTINATION ${_icon_target}
)
# clean variables
set(size)
set(_icon_source)
set(_icon_target)

# appdata
install(FILES org.saga-gis.saga-gui.appdata.xml DESTINATION share/metainfo)

# tip, srs and dic
install(FILES saga_tip.txt DESTINATION share/saga)
install(FILES saga_srs.txt DESTINATION share/saga RENAME saga_prj.srs)
install(FILES saga_dic.txt DESTINATION share/saga RENAME saga_prj.dic)

# cosmetic: add to custom target to show up in IDE
add_custom_target(saga-gui-res-otherfiles SOURCES
	saga.desktop
	org.saga-gis.saga-gui.appdata.xml
	saga_tip.txt
	saga_srs.txt
	saga_dic.txt
	)

# TODO: dist-hook

=== saga-gis/src/tools/grid/grid_filter/CMakeLists.txt ===
if(WITH_TOOLS)
	project(grid_filter)

	# add files in sudirectories
	set(SAGA_TOOL_CUSTOM_SOURCE_LIST
		geodesic_morph_rec/bin_geovinc.c
		geodesic_morph_rec/combcontour.c
		geodesic_morph_rec/geovinc.c
		geodesic_morph_rec/storeorg.c
	)
	set(SAGA_TOOL_CUSTOM_HEADER_LIST
		geodesic_morph_rec/bin_geovinc.h
		geodesic_morph_rec/combcontour.h
		geodesic_morph_rec/geovinc.h
		geodesic_morph_rec/listfuncs.inc
		geodesic_morph_rec/storeorg.h
	)
	# load common tool template
	include(../../CMakePluginTemplate.cmake )
endif()

=== saga-gis/src/tools/io/io_pdal/CMakeLists.txt ===
option(WITH_TOOLS_PDAL "Check to create build targets for PDAL tools" ON)

if(WITH_TOOLS_PDAL)
	if(MSVC AND DEPS_FROM_ENVARS)
		if("${CMAKE_GENERATOR_PLATFORM}" STREQUAL "Win32")
			set(LIB4SAGA $ENV{PDAL_32})
		else()
			set(LIB4SAGA $ENV{PDAL})
		endif()
		find_path   (PDAL_INCLUDE_DIR  NAMES pdal/pdal.hpp          PATHS "${LIB4SAGA}/include")
		find_library(PDAL_LIBRARY_CPP  NAMES pdalcpp libpdalcpp     PATHS "${LIB4SAGA}/lib")
		find_library(PDAL_LIBRARY_UTIL NAMES pdal_util libpdal_util PATHS "${LIB4SAGA}/lib")
		mark_as_advanced(PDAL_INCLUDE_DIR PDAL_LIBRARY_CPP PDAL_LIBRARY_UTIL)
		include(FindPackageHandleStandardArgs)
		FIND_PACKAGE_HANDLE_STANDARD_ARGS(PDAL REQUIRED_VARS PDAL_LIBRARY_UTIL PDAL_LIBRARY_CPP PDAL_INCLUDE_DIR)
		set(PDAL_LIBRARIES ${PDAL_LIBRARY_CPP} ${PDAL_LIBRARY_UTIL} ws2_32)
	endif()
	if(NOT PDAL_FOUND)
		find_package(PDAL QUIET)	# link PDAL library
	endif()
	if(PDAL_FOUND)
		project(io_pdal)
		include(../../CMakePluginTemplate.cmake)	# load common tool template
		target_include_directories(${PROJECT_NAME} PUBLIC ${PDAL_INCLUDE_DIR})
		target_link_libraries(${PROJECT_NAME} ${PDAL_LIBRARIES})
	endif()
endif()

=== saga-gis/src/tools/shapes/shapes_grid/CMakeLists.txt ===
if(WITH_TOOLS)
	project(shapes_grid)

	# load common tool template
	include(../../CMakePluginTemplate.cmake )
endif()

=== debian/changelog ===
saga (9.3.1+dfsg-3build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:22:14 +1100

saga (9.3.1+dfsg-3build2) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:00:14 +0000

saga (9.3.1+dfsg-3build1) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:15:13 +0100

saga (9.3.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 09 Feb 2024 19:14:43 +0100

saga (9.3.1+dfsg-3~exp1) experimental; urgency=medium

  * Team upload.
  * Add upstream patch to fix FTBFS with SWIG 4.2.
  * Reinstate Python bindings.
  * Switch to dh-sequence-*.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 09 Feb 2024 15:48:22 +0100

saga (9.3.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Replace pkg-config build dependency with pkgconf.
  * Drop Python bindings, causes FTBFS with SWIG 4.2.
    (closes: #1062880)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 07 Feb 2024 20:31:49 +0100

saga (9.3.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop spelling-errors.patch, applied upstream.
  * Fix typo in manpage.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 23 Jan 2024 20:39:58 +0100

=== debian/control ===
Source: saga
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Johan Van de Wauw <johan@gisky.be>,
           Francesco Paolo Lovergine <frankie@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               libdxflib-dev,
               libexpat-dev,
               libgdal-dev,
               libhpdf-dev,
               libproj-dev,
               libqhull-dev,
               libsvm-dev,
               libwxgtk3.2-dev,
               pkgconf,
               python3-dev,
               swig
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/saga
Vcs-Git: https://salsa.debian.org/debian-gis-team/saga.git
Homepage: http://www.saga-gis.org/
Rules-Requires-Root: no

Package: saga
Architecture: any
Depends: saga-common (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: System for Automated Geoscientific Analyses
 SAGA GIS (System for Automated Geoscientific Analyses) is a free and
 open source geographic information system used for editing and
 analysing spatial data. It includes a large number of modules for the
 analysis of vector (point, line and polygon), table, grid and image
 data. Among others the package includes modules for geostatistics,
 image classification, projections, simulation of dynamic processes
 (hydrology, landscape development) and terrain analysis.
 The functionality can be accessed through a GUI, the command line or
 by using the C++ API.

Package: saga-common
Architecture: all
Depends: ${misc:Depends}
Breaks: saga (<< 2.2.5+dfsg-1~)
Replaces: saga (<< 2.2.5+dfsg-1~)
Description: SAGA GIS architecture independent files
 SAGA GIS (System for Automated Geoscientific Analyses) is a geographic
 information system used for editing and analysing spatial data.
 .
 This package contains the architecture independent files for SAGA.

Package: libsaga-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libsaga-api9 (= ${binary:Version}),
         libsaga-gdi9 (= ${binary:Version}),
         ${misc:Depends}
Suggests: saga (= ${binary:Version})
Description: SAGA GIS development files
 SAGA GIS (System for Automated Geoscientific Analyses) is a geographic
 information system used for editing and analysing spatial data.
 .
 This package contains the header files for developing with SAGA.
 Install this package if you wish to develop software that uses the SAGA API.

Package: libsaga-api9
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: SAGA GIS shared libraries
 SAGA GIS (System for Automated Geoscientific Analyses) is a geographic
 information system used for editing and analysing spatial data.
 .
 This package contains the library files for developing with SAGA.

Package: libsaga-gdi9
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: SAGA GIS shared library (graphical models)
 SAGA GIS (System for Automated Geoscientific Analyses) is a geographic
 information system used for editing and analysing spatial data.
 .
 This package contains the library files for developing graphical modules.

Package: python3-saga
Architecture: any
Section: python
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: saga (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: SAGA GIS Python bindings
 SAGA GIS (System for Automated Geoscientific Analyses) is a geographic
 information system used for editing and analysing spatial data.
 .
 This package contains the Python bindings to SAGA.

=== debian/rules ===
#!/usr/bin/make -f

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export DEB_PYTHON_INSTALL_LAYOUT=deb_system

CFLAGS += $(CPPFLAGS)

include /usr/share/dpkg/pkg-info.mk

UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

%:
	dh $@ --buildsystem=cmake --sourcedirectory=saga-gis --without autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		-DWITH_SYSTEM_SVM=on \
		-DWITH_SYSTEM_DXF=on \
		-DWITH_TRIANGLE=off \
		-DWITH_FIRE_SPREADING=off

execute_before_dh_auto_build:
	pod2man --section=1 --release=$(UPSTREAM_VERSION) --center " " debian/saga_gui.pod > saga_gui.1
	pod2man --section=1 --release=$(UPSTREAM_VERSION) --center " " debian/saga_cmd.pod > saga_cmd.1

execute_after_dh_auto_install:
	# Remove executable bit from resource files
	chmod -x debian/*/usr/share/saga/*.*

	# Explicitly remove files not to be installed
	find $(CURDIR)/debian/tmp/usr/lib -name "*.pyc" -delete
	find $(CURDIR)/debian/tmp/usr/lib -name "*.pyo" -delete

override_dh_python3:
	dh_python3 --no-ext-rename

override_dh_makeshlibs:
	dh_makeshlibs -Xpython3-saga

## saga 9.5.0+dfsg

=== debian/changelog ===
saga (9.5.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 08 Jul 2024 20:59:57 +0200

saga (9.4.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 10 Jun 2024 20:26:20 +0200

saga (9.4.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright file.
  * Drop python.patch, applied upstream.
  * Explicitly disable PDAL support.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 16 Apr 2024 13:04:32 +0200

saga (9.3.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop SWIG 4.2 patch, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Mar 2024 05:40:11 +0100

## saga 9.5.1+dfsg

=== saga-gis/CMakeLists.txt ===
--- 
+++ 
@@ -47,8 +47,8 @@
 	set(CMAKE_SHARED_LINKER_FLAGS_DEBUG "/debug /INCREMENTAL /LTCG:OFF" CACHE STRING "" FORCE)
 else()
 	# Unix Flags
-	set(CMAKE_CXX_FLAGS_RELEASE 		"-O3 -Wall -DNDEBUG"			CACHE STRING "")
-	set(CMAKE_CXX_FLAGS_DEBUG 			"-Og -ggdb -Wall"				CACHE STRING "")
+	set(CMAKE_CXX_FLAGS_RELEASE         "-O3 -Wall -DNDEBUG"            CACHE STRING "" FORCE)
+	set(CMAKE_CXX_FLAGS_DEBUG           "-Og -Wall -D_DEBUG -ggdb"      CACHE STRING "" FORCE)
 endif()
 
 # options

=== saga-gis/src/saga_core/saga_api/CMakeLists.txt ===
project(saga_api)

message(STATUS "project: ${PROJECT_NAME}")

# define headers
set(SAGA_API_PUBLIC_HEADERS
	api_core.h
	data_manager.h
	dataobject.h
	datetime.h
	geo_tools.h
	grid.h
	grids.h
	grid_pyramid.h
	mat_tools.h
	metadata.h
	parameters.h
	pointcloud.h
	saga_api.h
	shapes.h
	table_dbase.h
	table.h
	table_value.h
	tin.h
	tool.h
	tool_library.h
)

# define sources
set(SAGA_API_SOURCES
	api_callback.cpp
	api_colors.cpp
	api_core.cpp
	api_file.cpp
	api_memory.cpp
	api_string.cpp
	api_translator.cpp
	data_manager.cpp
	dataobject.cpp
	datetime.cpp
	geo_classes.cpp
	geo_functions.cpp
	grid.cpp
	grid_io.cpp
	grid_memory.cpp
	grid_operation.cpp
	grid_pyramid.cpp
	grid_system.cpp
	grids.cpp
	kdtree.cpp
	mat_formula.cpp
	mat_grid_radius.cpp
	mat_indexing.cpp
	mat_matrix.cpp
	mat_regression.cpp
	mat_regression_multiple.cpp
	mat_regression_weighted.cpp
	mat_spline.cpp
	mat_tools.cpp
	mat_trend.cpp
	metadata.cpp
	parameter.cpp
	parameter_data.cpp
	parameters.cpp
	pointcloud.cpp
	projections.cpp
	quadtree.cpp
	saga_api.cpp
	shape.cpp
	shape_line.cpp
	shape_part.cpp
	shape_point.cpp
	shape_points.cpp
	shape_polygon.cpp
	shapes.cpp
	shapes_io.cpp
	shapes_ogis.cpp
	shapes_selection.cpp
	table.cpp
	table_dbase.cpp
	table_io.cpp
	table_record.cpp
	table_selection.cpp
	tin.cpp
	tin_elements.cpp
	tin_triangulation.cpp
	tool.cpp
	tool_chain.cpp
	tool_grid.cpp
	tool_grid_interactive.cpp
	tool_interactive.cpp
	tool_interactive_base.cpp
	tool_library.cpp
	tool_library_interface.cpp
	tool_summary.cpp
	api_core.h
	data_manager.h
	dataobject.h
	datetime.h
	geo_tools.h
	grid.h
	grid_pyramid.h
	mat_tools.h
	metadata.h
	parameters.h
	pointcloud.h
	saga_api.h
	shapes.h
	table.h
	table_dbase.h
	table_value.h
	tin.h
	tool.h
	tool_chain.h
	tool_library.h
	nanoflann/nanoflann.hpp
)

#________________________________________
option(WITH_CLIPPER_ONE "Check to make SAGA API use older Clipper1 instead of newer Clipper2 (which expects at least C++ 17)" OFF)

if(WITH_CLIPPER_ONE)
	set(SAGA_API_SOURCES
		${SAGA_API_SOURCES}
		clipper1/clipper.cpp
		clipper1/clipper.hpp
		shapes_polygons.cpp
	)
else()
	set(CMAKE_CXX_STANDARD 17)
	set(CMAKE_CXX_STANDARD_REQUIRED ON)

	set(SAGA_API_SOURCES
		${SAGA_API_SOURCES}
		clipper2/clipper.engine.cpp
		clipper2/clipper.offset.cpp
		clipper2/clipper.rectclip.cpp
		clipper2/clipper.h
		clipper2/clipper.core.h
		clipper2/clipper.engine.h
		clipper2/clipper.minkowski.h
		clipper2/clipper.offset.h
		clipper2/clipper.rectclip.h
		shapes_clipper.cpp
	)
endif()

#________________________________________
option(WITH_MRMR "Check to include mRMR code (Minimum Redundancy Feature Selection, incompatible with Debian licensing)" OFF)

if(WITH_MRMR)
	set(SAGA_API_SOURCES
		${SAGA_API_SOURCES}
		mat_mRMR.cpp
	)
endif()

#________________________________________
add_library(saga_api SHARED
	${SAGA_API_SOURCES}
	${SAGA_API_PUBLIC_HEADERS} # just cosmetic, show headers in IDE
)

target_include_directories(saga_api INTERFACE "${saga_core_include_dir}")

if(NOT WITH_CLIPPER_ONE)
	target_include_directories(saga_api PRIVATE "${saga_core_include_dir}/saga_api")
endif()

find_package(wxWidgets COMPONENTS base net xml html REQUIRED)
target_link_libraries(saga_api PRIVATE ${wxWidgets_LIBRARIES})

if(MSVC) # windows msvc
	target_compile_definitions(saga_api PUBLIC -D_SAGA_MSW -DUNICODE)
else() # unix like systems
	target_compile_definitions(saga_api PUBLIC -D_SAGA_LINUX)
	target_compile_definitions(saga_api PRIVATE -D${MTOOLSPATH} -D${MSHAREPATH})
	set_target_properties(saga_api PROPERTIES COMPILE_FLAGS -fPIC)
endif()

target_compile_definitions(saga_api PUBLIC -D_TYPEDEF_BYTE -D_TYPEDEF_WORD)
target_compile_definitions(saga_api PRIVATE -D_SAGA_API_EXPORTS)

if(WITH_MRMR)
	target_compile_definitions(saga_api PUBLIC -DWITH_MRMR)
endif()

option(WITH_LIFETIME_TRACKER "Check to build with CSG_Data_Object::Track() functionality (data object lifetime tracker)" ON)
if(WITH_LIFETIME_TRACKER)
	target_compile_definitions(saga_api PUBLIC -DWITH_LIFETIME_TRACKER)
endif()

# set version number for library
set_target_properties(saga_api PROPERTIES
	VERSION ${SAGA_VERSION_STRING}
	SOVERSION ${SAGA_VERSION_MAJOR}
)

# where to install the library
install(TARGETS saga_api DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES ${SAGA_API_PUBLIC_HEADERS} DESTINATION include/saga/saga_api)

if(MSVC)
	string(REPLACE "/" "\\" SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/")
	add_custom_command(TARGET saga_api POST_BUILD
		COMMAND IF NOT EXIST "$(OutDir)include" MKDIR "$(OutDir)include"
		COMMAND IF EXIST "$(OutDir)include\\saga_api" RMDIR /S/Q "$(OutDir)include\\saga_api"
		COMMAND MKDIR    "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}api_core.h"     "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}data_manager.h" "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}dataobject.h"   "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}datetime.h"     "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}geo_tools.h"    "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}grid.h"         "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}grid_pyramid.h" "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}grids.h"        "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}mat_tools.h"    "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}metadata.h"     "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}parameters.h"   "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}pointcloud.h"   "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}saga_api.h"     "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}shapes.h"       "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}table.h"        "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}table_value.h"  "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}tin.h"          "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}tool.h"         "$(OutDir)include\\saga_api"
		COMMAND COPY "${SOURCE_DIR}tool_library.h" "$(OutDir)include\\saga_api"
	)
endif()

#-#-#-#-#-# SWIG / Python #-#-#-#-#-#
option(WITH_PYTHON "Uncheck to not try to Build the SAGA API for Python." ON)
if(WITH_PYTHON)
	add_subdirectory(saga_api_python)
endif()

=== saga-gis/src/saga_core/saga_gui/CMakeLists.txt ===
project(saga_gui)
message(STATUS "project: ${PROJECT_NAME}")

# define sources
set(SAGA_GUI_SOURCES
	active.cpp
	active_attributes.cpp
	active_attributes_control.cpp
	active_description.cpp
	active_history.cpp
	active_info.cpp
	active_legend.cpp
	active_parameters.cpp
	callback.cpp
	data_source.cpp
	data_source_files.cpp
	data_source_odbc.cpp
	data_source_pgsql.cpp
	dlg_about.cpp
	dlg_about_logo.cpp
	dlg_base.cpp
	dlg_choices.cpp
	dlg_colors.cpp
	dlg_colors_control.cpp
	dlg_list.cpp
	dlg_parameters.cpp
	dlg_table.cpp
	dlg_table_control.cpp
	dlg_text.cpp
	helper.cpp
	info.cpp
	info_messages.cpp
	parameters_control.cpp
	parameters_properties.cpp
	project.cpp
	res_commands.cpp
	res_controls.cpp
	res_dialogs.cpp
	res_images.cpp
	saga.cpp
	saga_frame.cpp
	saga_frame_droptarget.cpp
	view_base.cpp
	view_histogram.cpp
	view_layout.cpp
	view_layout_control.cpp
	view_layout_info.cpp
	view_map.cpp
	view_map_3d.cpp
	view_map_3d_panel.cpp
	view_map_control.cpp
	view_ruler.cpp
	view_scatterplot.cpp
	view_table.cpp
	view_table_control.cpp
	view_table_data.cpp
	view_table_diagram.cpp
	wksp.cpp
	wksp_base_control.cpp
	wksp_base_item.cpp
	wksp_base_manager.cpp
	wksp_data_control.cpp
	wksp_data_item.cpp
	wksp_data_layers.cpp
	wksp_data_manager.cpp
	wksp_data_menu_file.cpp
	wksp_data_menu_files.cpp
	wksp_grid.cpp
	wksp_grid_manager.cpp
	wksp_grid_system.cpp
	wksp_grids.cpp
	wksp_layer.cpp
	wksp_layer_classify.cpp
	wksp_layer_legend.cpp
	wksp_map.cpp
	wksp_map_basemap.cpp
	wksp_map_buttons.cpp
	wksp_map_control.cpp
	wksp_map_graticule.cpp
	wksp_map_layer.cpp
	wksp_map_manager.cpp
	wksp_pointcloud.cpp
	wksp_pointcloud_manager.cpp
	wksp_shapes.cpp
	wksp_shapes_edit.cpp
	wksp_shapes_line.cpp
	wksp_shapes_manager.cpp
	wksp_shapes_point.cpp
	wksp_shapes_points.cpp
	wksp_shapes_polygon.cpp
	wksp_shapes_type.cpp
	wksp_table.cpp
	wksp_table_manager.cpp
	wksp_tin.cpp
	wksp_tin_manager.cpp
	wksp_tool.cpp
	wksp_tool_control.cpp
	wksp_tool_library.cpp
	wksp_tool_manager.cpp
	wksp_tool_menu.cpp
	active.h
	active_attributes.h
	active_attributes_control.h
	active_description.h
	active_history.h
	active_info.h
	active_legend.h
	active_parameters.h
	callback.h
	data_source.h
	data_source_files.h
	data_source_odbc.h
	data_source_pgsql.h
	dlg_about.h
	dlg_about_logo.h
	dlg_base.h
	dlg_choices.h
	dlg_colors.h
	dlg_colors_control.h
	dlg_list.h
	dlg_parameters.h
	dlg_table.h
	dlg_table_control.h
	dlg_text.h
	helper.h
	info.h
	info_messages.h
	parameters_control.h
	parameters_properties.h
	project.h
	res_commands.h
	res_controls.h
	res_dialogs.h
	res_images.h
	saga.h
	saga_frame.h
	saga_frame_droptarget.h
	view_base.h
	view_histogram.h
	view_layout.h
	view_layout_control.h
	view_layout_info.h
	view_map.h
	view_map_3d.h
	view_map_3d_panel.h
	view_map_control.h
	view_ruler.h
	view_scatterplot.h
	view_table.h
	view_table_control.h
	view_table_data.h
	view_table_diagram.h
	wksp.h
	wksp_base_control.h
	wksp_base_item.h
	wksp_base_manager.h
	wksp_data_control.h
	wksp_data_item.h
	wksp_data_layers.h
	wksp_data_manager.h
	wksp_data_menu_file.h
	wksp_data_menu_files.h
	wksp_grid.h
	wksp_grid_manager.h
	wksp_grid_system.h
	wksp_grids.h
	wksp_layer.h
	wksp_layer_classify.h
	wksp_layer_legend.h
	wksp_map.h
	wksp_map_basemap.h
	wksp_map_buttons.h
	wksp_map_control.h
	wksp_map_graticule.h
	wksp_map_layer.h
	wksp_map_manager.h
	wksp_pointcloud.h
	wksp_pointcloud_manager.h
	wksp_shapes.h
	wksp_shapes_line.h
	wksp_shapes_manager.h
	wksp_shapes_point.h
	wksp_shapes_points.h
	wksp_shapes_polygon.h
	wksp_shapes_type.h
	wksp_table.h
	wksp_table_manager.h
	wksp_tin.h
	wksp_tin_manager.h
	wksp_tool.h
	wksp_tool_control.h
	wksp_tool_library.h
	wksp_tool_manager.h
	wksp_tool_menu.h
)

add_executable(saga_gui ${SAGA_GUI_SOURCES} res/saga_gui.rc)

# link needed saga libraries
target_link_libraries(saga_gui saga_api saga_gdi)

# find and link wxWidgets libraries
find_package(wxWidgets COMPONENTS adv aui base core html net propgrid xml REQUIRED QUIET)
target_link_libraries(saga_gui ${wxWidgets_LIBRARIES})

# add compile definition needed
if(MSVC)
	option(WITH_GUI_TABBED_MDI "GUI with Tabbed MDI" OFF)
	if(WITH_GUI_TABBED_MDI)
		target_compile_definitions(saga_gui PRIVATE MDI_TABBED)
	endif()

	target_compile_definitions(saga_gui PUBLIC -D_SAGA_MSW -DUNICODE)
	target_link_options(saga_gui PRIVATE /SUBSYSTEM:WINDOWS)
	
	option(WITH_DPI_AWARENESS "GUI as DPI aware application" OFF)
	if(WITH_DPI_AWARENESS)
		message(STATUS "GUI as DPI aware application")
		target_compile_definitions(saga_gui PRIVATE DPI_AWARE)
		set(CMAKE_EXE_LINKER_FLAGS    "${CMAKE_EXE_LINKER_FLAGS} /MANIFEST:NO")
		set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} /MANIFEST:NO")
		set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} /MANIFEST:NO")
	else()
		message(STATUS "GUI without DPI awareness")
	endif()
	
else() # unix like systems
	set_target_properties(saga_gui PROPERTIES COMPILE_FLAGS -fPIC)
	target_compile_definitions(saga_gui PUBLIC -D_SAGA_LINUX)
	target_compile_definitions(saga_gui PRIVATE -D${MTOOLSPATH} -D${MSHAREPATH})
endif()

find_package(Git)
if(GIT_FOUND)
	IF(EXISTS "${CMAKE_SOURCE_DIR}/../.git")
		execute_process(
			COMMAND git log -1 --format=%h
			WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
			OUTPUT_VARIABLE GIT_HASH
			OUTPUT_STRIP_TRAILING_WHITESPACE
		)
		message("git hash: ${GIT_HASH} to ${PROJECT_SOURCE_DIR}/git_hash.h")
	else()
		message("not a git repository, git hash not found")
	endif()
else()
	message("git executable not found")
endif(GIT_FOUND)
configure_file("${PROJECT_SOURCE_DIR}/git_hash.h.in" "${PROJECT_SOURCE_DIR}/git_hash.h" @ONLY)

set(COMPILER "${CMAKE_CXX_COMPILER_ID} ${CMAKE_CXX_COMPILER_VERSION}")
add_definitions(-DCOMPILER="${COMPILER}")

# add man page
add_subdirectory(man)
# add res directory
add_subdirectory(res)

# where to install the binary
install(TARGETS saga_gui DESTINATION bin)

if(MSVC)
	string(REPLACE "/" "\\" SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/")
	add_custom_command(TARGET saga_gui POST_BUILD
		COMMAND COPY "${SOURCE_DIR}res\\saga.rus.txt" "$(OutDir)saga.rus.txt"
		COMMAND COPY "${SOURCE_DIR}res\\saga.ger.txt" "$(OutDir)saga.ger.txt"
		COMMAND COPY "${SOURCE_DIR}res\\saga.lng.txt" "$(OutDir)saga.lng.txt"
		COMMAND COPY "${SOURCE_DIR}res\\saga.bra.txt" "$(OutDir)saga.bra.txt"
		COMMAND COPY "${SOURCE_DIR}res\\saga.ger.txt" "$(OutDir)saga.ger.txt"
		COMMAND COPY "${SOURCE_DIR}res\\saga.rus.txt" "$(OutDir)saga.rus.txt"
		COMMAND COPY "${SOURCE_DIR}res\\saga_tip.txt" "$(OutDir)saga_gui.tip"
		COMMAND COPY "${SOURCE_DIR}res\\saga_srs.txt" "$(OutDir)saga_prj.srs"
		COMMAND IF NOT EXIST "$(OutDir)tools" MKDIR "$(OutDir)tools"
		COMMAND IF EXIST "$(OutDir)tools\\toolchains" RMDIR /S/Q "$(OutDir)tools\\toolchains"
		COMMAND MKDIR    "$(OutDir)tools\\toolchains"
		COMMAND XCOPY /C/Q/Y/H "${SOURCE_DIR}..\\..\\accessories\\toolchains\\*.xml" "$(OutDir)\\tools\\toolchains"
	#	COMMAND COPY "${SOURCE_DIR}..\\..\\accessories\\toolchains\\*.xml" "$(OutDir)\\tools\\toolchains"
	)
endif()

=== saga-gis/src/saga_core/saga_gui/res/CMakeLists.txt ===
--- 
+++ 
@@ -32,10 +32,9 @@
 # appdata
 install(FILES org.saga-gis.saga-gui.appdata.xml DESTINATION share/metainfo)
 
-# tip, srs and dic
+# tip-of-the-day and srs
 install(FILES saga_tip.txt DESTINATION share/saga)
 install(FILES saga_srs.txt DESTINATION share/saga RENAME saga_prj.srs)
-install(FILES saga_dic.txt DESTINATION share/saga RENAME saga_prj.dic)
 
 # cosmetic: add to custom target to show up in IDE
 add_custom_target(saga-gui-res-otherfiles SOURCES
@@ -43,7 +42,6 @@
 	org.saga-gis.saga-gui.appdata.xml
 	saga_tip.txt
 	saga_srs.txt
-	saga_dic.txt
 	)
 
 # TODO: dist-hook

=== saga-gis/src/tools/io/io_pdal/CMakeLists.txt ===
--- 
+++ 
@@ -15,10 +15,14 @@
 		FIND_PACKAGE_HANDLE_STANDARD_ARGS(PDAL REQUIRED_VARS PDAL_LIBRARY_UTIL PDAL_LIBRARY_CPP PDAL_INCLUDE_DIR)
 		set(PDAL_LIBRARIES ${PDAL_LIBRARY_CPP} ${PDAL_LIBRARY_UTIL} ws2_32)
 	endif()
+
 	if(NOT PDAL_FOUND)
-		find_package(PDAL QUIET)	# link PDAL library
+		find_package(PDAL REQUIRED)
 	endif()
-	if(PDAL_FOUND)
+
+	if(NOT PDAL_FOUND)
+		message(FATAL_ERROR "Error: Unable to locate the required library 'PDAL', even though WITH_TOOLS_PDAL is set to On. Please make sure to install the 'PDAL' library or update your configuration by setting WITH_TOOLS_PDAL to Off.")
+	else()
 		project(io_pdal)
 		include(../../CMakePluginTemplate.cmake)	# load common tool template
 		target_include_directories(${PROJECT_NAME} PUBLIC ${PDAL_INCLUDE_DIR})

=== debian/changelog ===
saga (9.5.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 17 Jul 2024 08:31:29 +0200

## saga 9.6.0+dfsg

=== debian/changelog ===
saga (9.6.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Sep 2024 15:42:03 +0200

## saga 9.6.1+dfsg

=== debian/changelog ===
saga (9.6.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update lintian overrides.
  * Add patch to fix AppStream metadata.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 23 Oct 2024 15:25:19 +0200

## saga 9.6.2+dfsg

=== debian/changelog ===
saga (9.6.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop appstream.patch, applied upstream.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 03 Dec 2024 07:20:11 +0100

## saga 9.7.0+dfsg

=== debian/changelog ===
saga (9.7.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 17 Dec 2024 20:11:24 +0100

saga (9.6.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 16 Dec 2024 17:10:36 +0100

## saga 9.7.1+dfsg

=== debian/changelog ===
saga (9.7.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 09 Jan 2025 12:30:19 +0100

## saga 9.7.2%2Bdfsg

=== saga-gis/src/tools/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 #   liblas-dev
 #   libpdal-dev
 #
-# System alternatives to build-in code
+# System alternatives to built-in code
 #   libcurl-dev
 #   libsvm-dev
 #   libqhull-dev

=== saga-gis/src/tools/io/CMakeLists.txt ===
add_subdirectory(io_esri_e00)
add_subdirectory(io_gdal)
add_subdirectory(io_gps)
add_subdirectory(io_grid)
add_subdirectory(io_grid_image)
add_subdirectory(io_pdal)
add_subdirectory(io_riegl_rdb)
add_subdirectory(io_shapes)
add_subdirectory(io_table)
add_subdirectory(io_virtual)
add_subdirectory(io_webservices)

=== saga-gis/src/tools/terrain_analysis/ta_profiles/CMakeLists.txt ===
if(WITH_TOOLS)
	project(ta_profiles)

	# load common tool template
	include(../../CMakePluginTemplate.cmake )
endif()

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: saga
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Johan Van de Wauw <johan@gisky.be>,
            Francesco Paolo Lovergine <frankie@debian.org>
 Section: science
@@ -20,7 +19,7 @@
                pkgconf,
                python3-dev,
                swig
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/saga
 Vcs-Git: https://salsa.debian.org/debian-gis-team/saga.git
 Homepage: http://www.saga-gis.org/

## saga 9.7.2+dfsg

=== saga-gis/src/CMakeLists.txt ===
message(STATUS "folder: src")

# add variable to store saga_core include directory
set(saga_core_include_dir "${CMAKE_CURRENT_SOURCE_DIR}/saga_core")

add_subdirectory(accessories)
add_subdirectory(saga_core)
add_subdirectory(tools)

=== saga-gis/src/saga_core/saga_api/CMakeLists.txt ===
--- 
+++ 
@@ -141,6 +141,7 @@
 		clipper2/clipper.minkowski.h
 		clipper2/clipper.offset.h
 		clipper2/clipper.rectclip.h
+		clipper2/clipper.version.h
 		shapes_clipper.cpp
 	)
 endif()

=== saga-gis/src/saga_core/saga_gdi/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
 	3d_view_dialog.cpp
 	3d_view_panel.cpp
 	3d_view_projector.cpp
+	map_dc.cpp
 	sgdi_controls.cpp
 	sgdi_diagram.cpp
 	sgdi_dialog.cpp
@@ -15,6 +16,7 @@
 	saga_gdi.cpp
 	3d_view.h
 	3d_view_tools.h
+	map_dc.h
 	saga_gdi.h
 	sgdi_controls.h
 	sgdi_core.h
@@ -26,6 +28,7 @@
 set(SAGA_GDI_PUBLIC_HEADERS
 	3d_view.h
 	3d_view_tools.h
+	map_dc.h
 	saga_gdi.h
 	sgdi_controls.h
 	sgdi_core.h

=== saga-gis/src/saga_core/saga_gui/CMakeLists.txt ===
--- 
+++ 
@@ -269,7 +269,8 @@
 		COMMAND COPY "${SOURCE_DIR}res\\saga.ger.txt" "$(OutDir)saga.ger.txt"
 		COMMAND COPY "${SOURCE_DIR}res\\saga.rus.txt" "$(OutDir)saga.rus.txt"
 		COMMAND COPY "${SOURCE_DIR}res\\saga_tip.txt" "$(OutDir)saga_gui.tip"
-		COMMAND COPY "${SOURCE_DIR}res\\saga_srs.txt" "$(OutDir)saga_prj.srs"
+		COMMAND COPY "${SOURCE_DIR}res\\saga_srs.txt" "$(OutDir)saga.srs"
+		COMMAND COPY "${SOURCE_DIR}res\\saga_srs_preferences.txt" "$(OutDir)saga_preferences.srs"
 		COMMAND IF NOT EXIST "$(OutDir)tools" MKDIR "$(OutDir)tools"
 		COMMAND IF EXIST "$(OutDir)tools\\toolchains" RMDIR /S/Q "$(OutDir)tools\\toolchains"
 		COMMAND MKDIR    "$(OutDir)tools\\toolchains"

=== saga-gis/src/tools/projection/CMakeLists.txt ===
add_subdirectory(pj_georeference)
add_subdirectory(pj_geotrans)
add_subdirectory(pj_proj4)

=== saga-gis/src/tools/terrain_analysis/CMakeLists.txt ===
add_subdirectory(ta_channels)
add_subdirectory(ta_cliffmetrics)
add_subdirectory(ta_compound)
add_subdirectory(ta_hydrology)
add_subdirectory(ta_lighting)
add_subdirectory(ta_morphometry)
add_subdirectory(ta_preprocessor)
add_subdirectory(ta_profiles)
add_subdirectory(ta_slope_stability)

=== saga-gis/src/tools/develop/dev_tools/CMakeLists.txt ===
option(WITH_DEV_TOOLS "Check to create build targets for SAGA development tools" OFF)

if(WITH_DEV_TOOLS)
	project(dev_tools)

	include(../../CMakePluginTemplate.cmake) # load common tool template

	find_package(wxWidgets REQUIRED QUIET)
	include(${wxWidgets_USE_FILE})
	target_link_libraries(${PROJECT_NAME} ${wxWidgets_LIBRARIES})
endif()

=== saga-gis/src/tools/garden/garden_games/CMakeLists.txt ===
if(WITH_TOOLS)
	project(garden_games)

	# load common tool template
	include(../../CMakePluginTemplate.cmake )
endif()

=== saga-gis/src/tools/io/io_grid/CMakeLists.txt ===
if(WITH_TOOLS)
	project(io_grid)

	# load common tool template
	include(../../CMakePluginTemplate.cmake)
endif()

=== saga-gis/src/tools/io/io_pdal/CMakeLists.txt ===
--- 
+++ 
@@ -8,12 +8,11 @@
 			set(LIB4SAGA $ENV{PDAL})
 		endif()
 		find_path   (PDAL_INCLUDE_DIR  NAMES pdal/pdal.hpp          PATHS "${LIB4SAGA}/include")
-		find_library(PDAL_LIBRARY_CPP  NAMES pdalcpp libpdalcpp     PATHS "${LIB4SAGA}/lib")
-		find_library(PDAL_LIBRARY_UTIL NAMES pdal_util libpdal_util PATHS "${LIB4SAGA}/lib")
-		mark_as_advanced(PDAL_INCLUDE_DIR PDAL_LIBRARY_CPP PDAL_LIBRARY_UTIL)
+		find_library(PDAL_LIBRARY_CPP  NAMES pdalcpp pdalcpp        PATHS "${LIB4SAGA}/lib")
+		mark_as_advanced(PDAL_INCLUDE_DIR PDAL_LIBRARY_CPP)
 		include(FindPackageHandleStandardArgs)
-		FIND_PACKAGE_HANDLE_STANDARD_ARGS(PDAL REQUIRED_VARS PDAL_LIBRARY_UTIL PDAL_LIBRARY_CPP PDAL_INCLUDE_DIR)
-		set(PDAL_LIBRARIES ${PDAL_LIBRARY_CPP} ${PDAL_LIBRARY_UTIL} ws2_32)
+		FIND_PACKAGE_HANDLE_STANDARD_ARGS(PDAL REQUIRED_VARS PDAL_LIBRARY_CPP PDAL_INCLUDE_DIR)
+		set(PDAL_LIBRARIES ${PDAL_LIBRARY_CPP} ws2_32)
 	endif()
 
 	if(NOT PDAL_FOUND)

=== saga-gis/src/tools/terrain_analysis/ta_hydrology/CMakeLists.txt ===
if(WITH_TOOLS)
	project(ta_hydrology)

	# load common tool template
	include(../../CMakePluginTemplate.cmake )
endif()

=== debian/changelog ===
saga (9.7.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 20 Jan 2025 15:46:00 +0100
